Unable to install git



  • Trying to git sync from master before reporting another problem:

    [2.3-ALPHA][root@pftest.blueloop.net]/root: pfSsh.php playback gitsync master
    
    Starting the pfSense developer shell....
    
    Cannot find git, installing...
    
    ERROR: Unable to install git pkg.
    
    

    Verify external connectivity:

    [2.3-ALPHA][root@pftest.blueloop.net]/root: curl http://www.google.com/index.html
    
    <title>302 Moved</title>
    
    # 302 Moved
    
    The document has moved
    [here](http://www.google.co.uk/index.html?gfe_rd=cr&ei=O3BKVu3uNeyq8wffmIHABQ).
    
    


  • That a dual stack system that's more than roughly a week or so old? Could be getting hit by the IPv6 route-to bug, though I'd expect curl to pick v6 by default to Google as well in that case and fail.



  • @cmb:

    That a dual stack system that's more than roughly a week or so old? Could be getting hit by the IPv6 route-to bug, though I'd expect curl to pick v6 by default to Google as well in that case and fail.

    It's a single stack system.  I'm just testing functionality and I had a hunch that the v6 related stuff would probably get less coverage.  I have v6 available at the ISP level on four FTTC connections with a pfSense 2.2.5 but haven't enabled it internally yet.  This box's WAN is on an internal LAN at the moment.

    When 2.3 gets beta status then I'll run it up in a VM at home which has v6 as preferred and keep my 2.2.5 ready just in case (Wife Acceptance Factor).  I may even grow a pair in the meantime and get v6 available in the office, once I understand the full implications.

    Also, thanks to you guys I now have a FreeBSD VM running on my laptop that I poke at a bit but I speak BSD with a dreadful Linux accent.

    Anyway, I've just run "pkg install git" and it now works.  I'm learning …


Log in to reply